tigase.jaxmpp.gwt.client

## Class Jaxmpp

- java.lang.Object
- - tigase.jaxmpp.core.client.JaxmppCore
  - - tigase.jaxmpp.gwt.client.Jaxmpp

-     public class Jaxmpp
      extends JaxmppCore

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `JaxmppCore.LoggedInHandler, JaxmppCore.LoggedOutHandler`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `AUTOADD_STANZA_ID_KEY, connector, context, defaultXMPPStream, eventBus, log, modulesManager, processor, properties, sessionLogic, sessionObject, streamsManager, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jaxmpp()`
    `Jaxmpp(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkTimeouts()`
    `protected Connector` | `createConnector()`
    `void` | `disconnect()` Closes XMPP session.
    `void` | `execute(Runnable r)` Executes task in executor.
    `ConnectionConfiguration` | `getConnectionConfiguration()` Returns configurator.
    `PacketWriter` | `getWriter()`
    `protected void` | `init()`
    `void` | `login()` Connects to XMPP server.
    `protected void` | `login(String boshUrl)`
    `protected void` | `onException(JaxmppException e)`
    `protected void` | `onResourceBindSuccess(JID bindedJID)`
    `protected void` | `onStreamError(StreamError condition, Throwable caught)`
    `protected void` | `onStreamResumed(Long h, String previd)`
    `protected void` | `onStreamTerminated()`
    `void` | `storeSession()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `createEventBus, get, getConnector, getContext, getEventBus, getModule, getModulesManager, getProperties, getSessionObject, isConnected, isSecure, keepalive, modulesInit, onConnectorStopped, onStanzaReceived, onUnacknowledged, send, send, send, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jaxmpp

          public Jaxmpp()

    - #### Jaxmpp

          public Jaxmpp(SessionObject sessionObject)

  - ### Method Detail

    - #### checkTimeouts

          protected void checkTimeouts()
                                throws JaxmppException

      Throws:
        `JaxmppException`

    - #### createConnector

          protected Connector createConnector()

    - #### disconnect

          public void disconnect()
                          throws JaxmppException

      Description copied from class: `JaxmppCore`
      Closes XMPP session.
      Specified by:
        `disconnect` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### execute

          public void execute(Runnable r)

      Description copied from class: `JaxmppCore`
      Executes task in executor. Used to handle received stanzas.
      Specified by:
        `execute` in class `JaxmppCore`
      Parameters:
        `r` - task to execute.

    - #### getConnectionConfiguration

          public ConnectionConfiguration getConnectionConfiguration()

      Returns configurator. This wrapper for SessionObject.
      Specified by:
        `getConnectionConfiguration` in class `JaxmppCore`
      Returns:
        configuration

    - #### getWriter

          public PacketWriter getWriter()

    - #### init

          protected void init()

      Overrides:
        `init` in class `JaxmppCore`

    - #### login

          public void login()
                     throws JaxmppException

      Description copied from class: `JaxmppCore`
      Connects to XMPP server.
      Specified by:
        `login` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### login

          protected void login(String boshUrl)
                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onException

          protected void onException(JaxmppException e)
                              throws JaxmppException

      Specified by:
        `onException` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### onResourceBindSuccess

          protected void onResourceBindSuccess(JID bindedJID)
                                        throws JaxmppException

      Specified by:
        `onResourceBindSuccess` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### onStreamError

          protected void onStreamError(StreamError condition,
                                       Throwable caught)
                                throws JaxmppException

      Specified by:
        `onStreamError` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### onStreamResumed

          protected void onStreamResumed(Long h,
                                         String previd)
                                  throws JaxmppException

      Specified by:
        `onStreamResumed` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### onStreamTerminated

          protected void onStreamTerminated()
                                     throws JaxmppException

      Specified by:
        `onStreamTerminated` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### storeSession

          public void storeSession()

Copyright © 2006–2016 Tigase. All rights reserved.